File: .travis.yml

package info (click to toggle)
mnemosyne 2.6.1+ds-1
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 8,268 kB
  • sloc: python: 32,145; ansic: 837; xml: 625; makefile: 249
file content (31 lines) | stat: -rw-r--r-- 738 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
sudo: required

language: python

cache: pip

python:
    - "3.5"
    - "3.6"

before_install:
  - if echo "$TRAVIS_COMMIT_MESSAGE" | grep -F -q "[skip travis]" ; then echo "[skip travis] has been found, exiting" && exit 0 ; else echo "[skip travis] has not been found, continuing" ; fi
  - sudo apt-get -qq update && sudo apt-get install -y --no-install-recommends texlive-latex-base dvipng

install:
  - pip install -r requirements.txt
  - if [[ $TRAVIS_PYTHON_VERSION == 3.6 ]]; then
    pip install coverage;
    fi

script:
  - if [[ $TRAVIS_PYTHON_VERSION == 3.6 ]]; then
    make coverage;
    else make test;
    fi

after_success:
  - if [[ $TRAVIS_PYTHON_VERSION == 3.6 ]]; then
    pip install coveralls;
    coveralls;
    fi